package com.casic.missiles.service.meter;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.IdDTO;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.meter.MeterPriceImport;
import com.casic.missiles.dto.meter.MeterPriceRequest;
import com.casic.missiles.model.meter.MeterPrice;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface MeterPriceService extends IService<MeterPrice> {

    Page<MeterPrice> queryPriceList(Page<MeterPrice> page, MeterPriceRequest meterPriceRequest);

    ReturnDTO deletePrice(IdDTO idDto);

    ReturnDTO addMeterPrice(MeterPrice meterPrice);

    ReturnDTO addMeterPriceList(List<MeterPrice> list) throws Exception;

    MeterPrice queryPriceInfo(IdDTO idDto);

    ReturnDTO updatePriceInfo(MeterPrice meterPrice);

    void exportPriceList(MeterPriceRequest meterPriceRequest, HttpServletResponse response);

}
